tbb::internal::atomic_selector< 4 > Struct Template Reference

`#include <tbb_machine.h>`

Collaboration diagram for tbb::internal::atomic_selector< 4 >:

## Public Types

typedef int32_t | word

## Static Public Member Functions

static word | fetch_store (volatile void *location, word value)

## Detailed Description

### template<>
struct tbb::internal::atomic_selector< 4 >

Definition at line 148 of file tbb_machine.h.

## Member Typedef Documentation

## word

typedef int32_t tbb::internal::atomic_selector< 4 >::word

Definition at line 153 of file tbb_machine.h.

## Member Function Documentation

## fetch_store()

static word tbb::internal::atomic_selector< 4 >::fetch_store | ( | volatile void * | location,
|  | word | value
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- tbb_machine.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.